#!/bin/bash
sudo service srv1cv83 stop
sudo service ras stop

for name in $(find . -iname client*):
do
echo $name

if [[ $name =~ "client" ]]
then
        vers="1"
        vers=${name:9}
        vers=${vers::-14}
        vers=${vers//_/.}
	echo $vers
fi
done



#Распаковываем архив с 1C
tar -xvf client*
tar -xvf deb64*

dpkg -i *.deb
apt-get install -f -y

sudo rm -R ./license-tools
sudo rm *.deb

sudo chown -R usr1cv8:grp1cv8 /opt/1cv8

ln -s /opt/1cv8/x86_64/$vers/srv1cv83 /etc/init.d/srv1cv83
chmod +x /opt/1cv8/x86_64/$vers/srv1cv83
ln -s /opt/1cv8/x86_64/$vers/srv1cv83.conf etc/default/srv1cv83

sudo systemctl daemon-reload
sudo systemctl enable srv1cv83
sudo service srv1cv83 start
#Слежение за сервисом srv1cv83
#sudo service srv1cv83 start
#sudo service srv1cv83 stop
#service srv1cv83 status

sudo rm ras.service

cp ./ras1c.service ./ras.service

sudo sed -i 's|opt/1cv8/x86_64/ras|opt/1cv8/x86_64/'$vers'/ras|g' ./ras.service


sudo cp -f ras.service /etc/systemd/system/
chmod +x /etc/systemd/system/ras.service
sudo systemctl daemon-reload
sudo systemctl enable ras
sudo systemctl start ras
#Слежение за сервисом ras
#sudo service ras start
#sudo service ras stop
#service ras status
